Loading...
Searching...
No Matches
AVDOVIDataMapping Struct Reference

Dolby Vision RPU data mapping parameters. More...

`#include <libavutil/dovi_meta.h>`

## Data Fields

uint8_t | vdr_rpu_id
uint8_t | mapping_color_space
uint8_t | mapping_chroma_format_idc
AVDOVIReshapingCurve | curves [3]
enum AVDOVINLQMethod | nlq_method_idc
uint32_t | num_x_partitions
uint32_t | num_y_partitions
AVDOVINLQParams | nlq [3]
uint16_t | nlq_pivots [2]

## Detailed Description

Dolby Vision RPU data mapping parameters.

Note
  sizeof(AVDOVIDataMapping) is not part of the public ABI.

Definition at line 152 of file dovi_meta.h.

## Field Documentation

## vdr_rpu_id

uint8_t AVDOVIDataMapping::vdr_rpu_id

Definition at line 153 of file dovi_meta.h.

## mapping_color_space

uint8_t AVDOVIDataMapping::mapping_color_space

Definition at line 154 of file dovi_meta.h.

## mapping_chroma_format_idc

uint8_t AVDOVIDataMapping::mapping_chroma_format_idc

Definition at line 155 of file dovi_meta.h.

## curves

AVDOVIReshapingCurve AVDOVIDataMapping::curves[3]

Definition at line 156 of file dovi_meta.h.

## nlq_method_idc

enum AVDOVINLQMethod AVDOVIDataMapping::nlq_method_idc

Definition at line 159 of file dovi_meta.h.

## num_x_partitions

uint32_t AVDOVIDataMapping::num_x_partitions

Definition at line 160 of file dovi_meta.h.

## num_y_partitions

uint32_t AVDOVIDataMapping::num_y_partitions

Definition at line 161 of file dovi_meta.h.

## nlq

AVDOVINLQParams AVDOVIDataMapping::nlq[3]

Definition at line 162 of file dovi_meta.h.

## nlq_pivots

uint16_t AVDOVIDataMapping::nlq_pivots[2]

Definition at line 163 of file dovi_meta.h.

The documentation for this struct was generated from the following file:

- libavutil/dovi_meta.h